Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 138102 - Too many maven classes are loaded on startup
Too many maven classes are loaded on startup
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 15:33 UTC by Oleg Khokhlov
Modified: 2009-04-08 10:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
new classes (31.45 KB, text/plain)
2008-06-24 15:34 UTC, Oleg Khokhlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Khokhlov 2008-06-24 15:33:12 UTC
After maven integration we have 766 new classes loaded on startup.
It would be nice to review the list to avoid loading of unnecessary classes.
Comment 1 Oleg Khokhlov 2008-06-24 15:34:18 UTC
Created attachment 63345 [details]
new classes
Comment 2 Milos Kleint 2008-07-02 08:27:45 UTC
http://fisheye.codehaus.org/changelog/mevenide/?cs=5456
should be fixed now. The plexus container and maven embedder shall be only started when the project is being read (or
when the remote repository index is being downloaded) - after the IDE startup
Comment 3 Jaroslav Pospisil 2009-04-08 10:42:10 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo